@import "~@yaireo/tagify/src/tagify.scss";
@import "colors/colors";
@import "sizes";
@import "font";
@import "modal";
@import "form";

body {
  margin: 0;
  color: var(--text);
  background-color: var(--background-light);
}

* {
  box-sizing: border-box;
  transition-property: color, background-color, border-color, box-shadow;
  transition-duration: 100ms;
}

.base-width {
  margin: 0 auto;

  padding-left: var(--size-base-2);
  padding-right: var(--size-base-2);

  max-width:var(--size-base-48);
  min-width: var(--size-base-24);
}

a {
  color: inherit;
  text-decoration: none;
}

router-view > div[class*="-page"] {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
